summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /sys-devel/gettext
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'sys-devel/gettext')
-rw-r--r--sys-devel/gettext/Manifest3
-rw-r--r--sys-devel/gettext/gettext-0.19.4.ebuild142
-rw-r--r--sys-devel/gettext/gettext-0.19.5.1.ebuild142
-rw-r--r--sys-devel/gettext/gettext-0.19.5.ebuild142
-rw-r--r--sys-devel/gettext/metadata.xml11
5 files changed, 440 insertions, 0 deletions
diff --git a/sys-devel/gettext/Manifest b/sys-devel/gettext/Manifest
new file mode 100644
index 00000000000..caeed8c20af
--- /dev/null
+++ b/sys-devel/gettext/Manifest
@@ -0,0 +1,3 @@
+DIST gettext-0.19.4.tar.gz 17717034 SHA256 8ac9f1ed1a5f8c4e656a2f37f5ba6b9ee04c4df79a575e876b0b6946aa417f3f SHA512 274e00fe0149468e3073562f8f3b292597e9dbd82dfe8d068e4a1983914d25b603bb26f3fa4aa10e9fcd65826e3552c1871218342270927481e95eb64288ad97 WHIRLPOOL 2eb56c47d76f63b6557ae825538a35ae59f3f77da35321688547d9c420f47879c79ca1ab8ebd6bc6b4a3a8ce59ed620648884cd46455f6218213587f76967918
+DIST gettext-0.19.5.1.tar.gz 18353792 SHA256 a198d53b0c1fb11421ead197b7e76b144e887c9ef5a685323e92cbc950227731 SHA512 c2c1dc51d9c24c92b86619ec613b87266eae08a21280855e5b0d44c09e7efc8390341ded85dd85270c5a933ee21a6179373cc5cf275b6bc80cb510c7830d0ef4 WHIRLPOOL 2a2143edc4f3fdb37109aeb762072aa49f88045d55913ae282d203d5a7b3e848df5318c9e4f5e44f63a9f9a7c61c6018900df55b3bdfe06fa975a709322656d6
+DIST gettext-0.19.5.tar.gz 18352722 SHA256 1258814ba174e4783194be2dc93648bd630d4dda166eae034e4ad54489dcf73a SHA512 10b435bba4fcdcf15be3182b3c9756eef5b6ef6ec1416c1b12af35345fc1668c26dce81081e2616b7e2b0d174051fddd6fe6266e4709652a751a91fcf241e610 WHIRLPOOL 94db59cc7a1f3bf833e23a9c9aa25524c571b9585928d083438e7357d034236493584c0137f0c2bb58120f2e55f35055bc36731736162d9ad3e01aa6a1cf270e
diff --git a/sys-devel/gettext/gettext-0.19.4.ebuild b/sys-devel/gettext/gettext-0.19.4.ebuild
new file mode 100644
index 00000000000..f48d1f489cb
--- /dev/null
+++ b/sys-devel/gettext/gettext-0.19.4.ebuild
@@ -0,0 +1,142 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="4"
+
+inherit flag-o-matic eutils multilib toolchain-funcs mono-env libtool java-pkg-opt-2 multilib-minimal
+
+DESCRIPTION="GNU locale utilities"
+HOMEPAGE="http://www.gnu.org/software/gettext/"
+SRC_URI="mirror://gnu/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-3 LGPL-2"
+SLOT="0"
+KEYWORDS="alpha amd64 arm arm64 hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd"
+IUSE="acl -cvs doc emacs git java nls +cxx ncurses openmp static-libs elibc_glibc elibc_musl"
+
+# only runtime goes multilib
+DEPEND=">=virtual/libiconv-0-r1[${MULTILIB_USEDEP}]
+ dev-libs/libxml2
+ dev-libs/expat
+ acl? ( virtual/acl )
+ ncurses? ( sys-libs/ncurses )
+ java? ( >=virtual/jdk-1.4 )"
+RDEPEND="${DEPEND}
+ !git? ( cvs? ( dev-vcs/cvs ) )
+ git? ( dev-vcs/git )
+ java? ( >=virtual/jre-1.4 )
+ abi_x86_32? (
+ !app-emulation/emul-linux-x86-baselibs[-abi_x86_32(-)]
+ !<=app-emulation/emul-linux-x86-baselibs-20131008-r11
+ )"
+PDEPEND="emacs? ( app-emacs/po-mode )"
+
+MULTILIB_WRAPPED_HEADERS=(
+ # only installed for native ABI
+ /usr/include/gettext-po.h
+)
+
+src_prepare() {
+ java-pkg-opt-2_src_prepare
+ epunt_cxx
+ elibtoolize
+}
+
+multilib_src_configure() {
+ local myconf=(
+ # switches common to runtime and top-level
+ --cache-file="${BUILD_DIR}"/config.cache
+ --docdir="/usr/share/doc/${PF}"
+
+ $(use_enable cxx libasprintf)
+ $(use_enable java)
+ $(use_enable static-libs static)
+ )
+
+ # Build with --without-included-gettext (on glibc systems)
+ if use elibc_glibc || use elibc_musl ; then
+ myconf+=(
+ --without-included-gettext
+ $(use_enable nls)
+ )
+ else
+ myconf+=(
+ --with-included-gettext
+ --enable-nls
+ )
+ fi
+ use cxx || export CXX=$(tc-getCC)
+
+ # Should be able to drop this hack in next release. #333887
+ tc-is-cross-compiler && export gl_cv_func_working_acl_get_file=yes
+
+ local ECONF_SOURCE=${S}
+ if ! multilib_is_native_abi ; then
+ # for non-native ABIs, we build runtime only
+ ECONF_SOURCE+=/gettext-runtime
+ else
+ # remaining switches
+ myconf+=(
+ # Emacs support is now in a separate package
+ --without-emacs
+ --without-lispdir
+ # glib depends on us so avoid circular deps
+ --with-included-glib
+ # libcroco depends on glib which ... ^^^
+ --with-included-libcroco
+ # this will _disable_ libunistring (since it is not bundled),
+ # see bug #326477
+ --with-included-libunistring
+
+ $(use_enable acl)
+ $(use_enable ncurses curses)
+ $(use_enable openmp)
+ $(use_with git)
+ $(usex git --without-cvs $(use_with cvs))
+ )
+ fi
+
+ econf "${myconf[@]}"
+}
+
+multilib_src_install() {
+ default
+
+ if multilib_is_native_abi ; then
+ dosym msgfmt /usr/bin/gmsgfmt #43435
+ dobin gettext-tools/misc/gettextize
+
+ [[ ${USERLAND} == "BSD" ]] && gen_usr_ldscript -a intl
+ fi
+}
+
+multilib_src_install_all() {
+ use nls || rm -r "${D}"/usr/share/locale
+ use static-libs || prune_libtool_files --all
+
+ rm -f "${D}"/usr/share/locale/locale.alias "${D}"/usr/lib/charset.alias
+
+ if use java ; then
+ java-pkg_dojar "${D}"/usr/share/${PN}/*.jar
+ rm -f "${D}"/usr/share/${PN}/*.jar
+ rm -f "${D}"/usr/share/${PN}/*.class
+ if use doc ; then
+ java-pkg_dojavadoc "${D}"/usr/share/doc/${PF}/javadoc2
+ rm -rf "${D}"/usr/share/doc/${PF}/javadoc2
+ fi
+ fi
+
+ if use doc ; then
+ dohtml "${D}"/usr/share/doc/${PF}/*.html
+ else
+ rm -rf "${D}"/usr/share/doc/${PF}/{csharpdoc,examples,javadoc2,javadoc1}
+ fi
+ rm -f "${D}"/usr/share/doc/${PF}/*.html
+
+ dodoc AUTHORS ChangeLog NEWS README THANKS
+}
+
+pkg_preinst() {
+ java-pkg-opt-2_pkg_preinst
+}
diff --git a/sys-devel/gettext/gettext-0.19.5.1.ebuild b/sys-devel/gettext/gettext-0.19.5.1.ebuild
new file mode 100644
index 00000000000..c54e8ddae8a
--- /dev/null
+++ b/sys-devel/gettext/gettext-0.19.5.1.ebuild
@@ -0,0 +1,142 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="4"
+
+inherit flag-o-matic eutils multilib toolchain-funcs mono-env libtool java-pkg-opt-2 multilib-minimal
+
+DESCRIPTION="GNU locale utilities"
+HOMEPAGE="http://www.gnu.org/software/gettext/"
+SRC_URI="mirror://gnu/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-3 LGPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd"
+IUSE="acl -cvs doc emacs git java nls +cxx ncurses openmp static-libs elibc_glibc elibc_musl"
+
+# only runtime goes multilib
+DEPEND=">=virtual/libiconv-0-r1[${MULTILIB_USEDEP}]
+ dev-libs/libxml2
+ dev-libs/expat
+ acl? ( virtual/acl )
+ ncurses? ( sys-libs/ncurses )
+ java? ( >=virtual/jdk-1.4 )"
+RDEPEND="${DEPEND}
+ !git? ( cvs? ( dev-vcs/cvs ) )
+ git? ( dev-vcs/git )
+ java? ( >=virtual/jre-1.4 )
+ abi_x86_32? (
+ !app-emulation/emul-linux-x86-baselibs[-abi_x86_32(-)]
+ !<=app-emulation/emul-linux-x86-baselibs-20131008-r11
+ )"
+PDEPEND="emacs? ( app-emacs/po-mode )"
+
+MULTILIB_WRAPPED_HEADERS=(
+ # only installed for native ABI
+ /usr/include/gettext-po.h
+)
+
+src_prepare() {
+ java-pkg-opt-2_src_prepare
+ epunt_cxx
+ elibtoolize
+}
+
+multilib_src_configure() {
+ local myconf=(
+ # switches common to runtime and top-level
+ --cache-file="${BUILD_DIR}"/config.cache
+ --docdir="/usr/share/doc/${PF}"
+
+ $(use_enable cxx libasprintf)
+ $(use_enable java)
+ $(use_enable static-libs static)
+ )
+
+ # Build with --without-included-gettext (on glibc systems)
+ if use elibc_glibc || use elibc_musl ; then
+ myconf+=(
+ --without-included-gettext
+ $(use_enable nls)
+ )
+ else
+ myconf+=(
+ --with-included-gettext
+ --enable-nls
+ )
+ fi
+ use cxx || export CXX=$(tc-getCC)
+
+ # Should be able to drop this hack in next release. #333887
+ tc-is-cross-compiler && export gl_cv_func_working_acl_get_file=yes
+
+ local ECONF_SOURCE=${S}
+ if ! multilib_is_native_abi ; then
+ # for non-native ABIs, we build runtime only
+ ECONF_SOURCE+=/gettext-runtime
+ else
+ # remaining switches
+ myconf+=(
+ # Emacs support is now in a separate package
+ --without-emacs
+ --without-lispdir
+ # glib depends on us so avoid circular deps
+ --with-included-glib
+ # libcroco depends on glib which ... ^^^
+ --with-included-libcroco
+ # this will _disable_ libunistring (since it is not bundled),
+ # see bug #326477
+ --with-included-libunistring
+
+ $(use_enable acl)
+ $(use_enable ncurses curses)
+ $(use_enable openmp)
+ $(use_with git)
+ $(usex git --without-cvs $(use_with cvs))
+ )
+ fi
+
+ econf "${myconf[@]}"
+}
+
+multilib_src_install() {
+ default
+
+ if multilib_is_native_abi ; then
+ dosym msgfmt /usr/bin/gmsgfmt #43435
+ dobin gettext-tools/misc/gettextize
+
+ [[ ${USERLAND} == "BSD" ]] && gen_usr_ldscript -a intl
+ fi
+}
+
+multilib_src_install_all() {
+ use nls || rm -r "${D}"/usr/share/locale
+ use static-libs || prune_libtool_files --all
+
+ rm -f "${D}"/usr/share/locale/locale.alias "${D}"/usr/lib/charset.alias
+
+ if use java ; then
+ java-pkg_dojar "${D}"/usr/share/${PN}/*.jar
+ rm -f "${D}"/usr/share/${PN}/*.jar
+ rm -f "${D}"/usr/share/${PN}/*.class
+ if use doc ; then
+ java-pkg_dojavadoc "${D}"/usr/share/doc/${PF}/javadoc2
+ rm -rf "${D}"/usr/share/doc/${PF}/javadoc2
+ fi
+ fi
+
+ if use doc ; then
+ dohtml "${D}"/usr/share/doc/${PF}/*.html
+ else
+ rm -rf "${D}"/usr/share/doc/${PF}/{csharpdoc,examples,javadoc2,javadoc1}
+ fi
+ rm -f "${D}"/usr/share/doc/${PF}/*.html
+
+ dodoc AUTHORS ChangeLog NEWS README THANKS
+}
+
+pkg_preinst() {
+ java-pkg-opt-2_pkg_preinst
+}
diff --git a/sys-devel/gettext/gettext-0.19.5.ebuild b/sys-devel/gettext/gettext-0.19.5.ebuild
new file mode 100644
index 00000000000..c54e8ddae8a
--- /dev/null
+++ b/sys-devel/gettext/gettext-0.19.5.ebuild
@@ -0,0 +1,142 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="4"
+
+inherit flag-o-matic eutils multilib toolchain-funcs mono-env libtool java-pkg-opt-2 multilib-minimal
+
+DESCRIPTION="GNU locale utilities"
+HOMEPAGE="http://www.gnu.org/software/gettext/"
+SRC_URI="mirror://gnu/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-3 LGPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd"
+IUSE="acl -cvs doc emacs git java nls +cxx ncurses openmp static-libs elibc_glibc elibc_musl"
+
+# only runtime goes multilib
+DEPEND=">=virtual/libiconv-0-r1[${MULTILIB_USEDEP}]
+ dev-libs/libxml2
+ dev-libs/expat
+ acl? ( virtual/acl )
+ ncurses? ( sys-libs/ncurses )
+ java? ( >=virtual/jdk-1.4 )"
+RDEPEND="${DEPEND}
+ !git? ( cvs? ( dev-vcs/cvs ) )
+ git? ( dev-vcs/git )
+ java? ( >=virtual/jre-1.4 )
+ abi_x86_32? (
+ !app-emulation/emul-linux-x86-baselibs[-abi_x86_32(-)]
+ !<=app-emulation/emul-linux-x86-baselibs-20131008-r11
+ )"
+PDEPEND="emacs? ( app-emacs/po-mode )"
+
+MULTILIB_WRAPPED_HEADERS=(
+ # only installed for native ABI
+ /usr/include/gettext-po.h
+)
+
+src_prepare() {
+ java-pkg-opt-2_src_prepare
+ epunt_cxx
+ elibtoolize
+}
+
+multilib_src_configure() {
+ local myconf=(
+ # switches common to runtime and top-level
+ --cache-file="${BUILD_DIR}"/config.cache
+ --docdir="/usr/share/doc/${PF}"
+
+ $(use_enable cxx libasprintf)
+ $(use_enable java)
+ $(use_enable static-libs static)
+ )
+
+ # Build with --without-included-gettext (on glibc systems)
+ if use elibc_glibc || use elibc_musl ; then
+ myconf+=(
+ --without-included-gettext
+ $(use_enable nls)
+ )
+ else
+ myconf+=(
+ --with-included-gettext
+ --enable-nls
+ )
+ fi
+ use cxx || export CXX=$(tc-getCC)
+
+ # Should be able to drop this hack in next release. #333887
+ tc-is-cross-compiler && export gl_cv_func_working_acl_get_file=yes
+
+ local ECONF_SOURCE=${S}
+ if ! multilib_is_native_abi ; then
+ # for non-native ABIs, we build runtime only
+ ECONF_SOURCE+=/gettext-runtime
+ else
+ # remaining switches
+ myconf+=(
+ # Emacs support is now in a separate package
+ --without-emacs
+ --without-lispdir
+ # glib depends on us so avoid circular deps
+ --with-included-glib
+ # libcroco depends on glib which ... ^^^
+ --with-included-libcroco
+ # this will _disable_ libunistring (since it is not bundled),
+ # see bug #326477
+ --with-included-libunistring
+
+ $(use_enable acl)
+ $(use_enable ncurses curses)
+ $(use_enable openmp)
+ $(use_with git)
+ $(usex git --without-cvs $(use_with cvs))
+ )
+ fi
+
+ econf "${myconf[@]}"
+}
+
+multilib_src_install() {
+ default
+
+ if multilib_is_native_abi ; then
+ dosym msgfmt /usr/bin/gmsgfmt #43435
+ dobin gettext-tools/misc/gettextize
+
+ [[ ${USERLAND} == "BSD" ]] && gen_usr_ldscript -a intl
+ fi
+}
+
+multilib_src_install_all() {
+ use nls || rm -r "${D}"/usr/share/locale
+ use static-libs || prune_libtool_files --all
+
+ rm -f "${D}"/usr/share/locale/locale.alias "${D}"/usr/lib/charset.alias
+
+ if use java ; then
+ java-pkg_dojar "${D}"/usr/share/${PN}/*.jar
+ rm -f "${D}"/usr/share/${PN}/*.jar
+ rm -f "${D}"/usr/share/${PN}/*.class
+ if use doc ; then
+ java-pkg_dojavadoc "${D}"/usr/share/doc/${PF}/javadoc2
+ rm -rf "${D}"/usr/share/doc/${PF}/javadoc2
+ fi
+ fi
+
+ if use doc ; then
+ dohtml "${D}"/usr/share/doc/${PF}/*.html
+ else
+ rm -rf "${D}"/usr/share/doc/${PF}/{csharpdoc,examples,javadoc2,javadoc1}
+ fi
+ rm -f "${D}"/usr/share/doc/${PF}/*.html
+
+ dodoc AUTHORS ChangeLog NEWS README THANKS
+}
+
+pkg_preinst() {
+ java-pkg-opt-2_pkg_preinst
+}
diff --git a/sys-devel/gettext/metadata.xml b/sys-devel/gettext/metadata.xml
new file mode 100644
index 00000000000..757fc753a66
--- /dev/null
+++ b/sys-devel/gettext/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>base-system</herd>
+<use>
+ <flag name="cvs">When running `autopoint`, use cvs to store the internal development files;
+ this requires cvs at runtime, but will be faster/smaller than raw archives</flag>
+ <flag name="git">When running `autopoint`, use git to store the internal development files;
+ this requires git at runtime, but will be faster/smaller than raw archives</flag>
+</use>
+</pkgmetadata>